<template >
  <nav class="sb-topnav navbar navbar-expand navbar-dark bg-dark">
    <!-- Navbar Brand-->
    <a class="navbar-brand ps-3" href="/">Agenda App</a>
    <!-- Sidebar Toggle-->
    <button class="btn btn-link btn-sm order-1 order-lg-0 me-4 me-lg-0" id="sidebarToggle" href="#!"><i class="fas fa-bars"></i></button>
    <!-- Navbar Search-->
    
    <div class="d-none d-md-inline-block form-inline ms-auto me-0 me-md-3 my-2 my-md-0">
           <label class="form-control"><span style="color:green; font-weight:bolder;">Online : </span>{{ getCurrentUSer() }}</label>
        
    </div>
    <!-- Navbar-->
    <ul class="navbar-nav ms-auto ms-md-0 me-3 me-lg-4">
        <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" id="navbarDropdown" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false"><i class="fas fa-user fa-fw"></i></a>
            <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                <li><a class="dropdown-item" href="#!">Settings</a></li>
                <li><a class="dropdown-item" href="#!">Activity Log</a></li>
                <li><hr class="dropdown-divider" /></li>
                <li><a class="dropdown-item" href="#!">Logout</a></li>
            </ul>
        </li>
    </ul>
</nav>
<div id="layoutSidenav">
  <div id="layoutSidenav_nav">
    <nav class="sb-sidenav accordion sb-sidenav-dark" id="sidenavAccordion">
      <div class="sb-sidenav-menu">
        <div class="nav">
          <div class="sb-sidenav-menu-heading">Menu</div>
          
        <router-link class="nav-link" to="/"> 
          <div class="sb-nav-link-icon"><i class="fas fa-tachometer-alt"></i></div>
          Agenda
        </router-link>
        <div class="sb-sidenav-menu-heading">Subs</div>
                            
                            <router-link class="nav-link collapsed" to="/event"> 
                              <div class="sb-nav-link-icon"><i class="fas fa-columns"></i></div>
                              Events
                            </router-link>
                            <router-link class="nav-link collapsed" to="/contact"> 
                              <div class="sb-nav-link-icon"><i class="fas fa-book-open"></i></div>
                              Contacts
                            </router-link>
                            
                            
                            <div class="sb-sidenav-menu-heading">Addons</div>
                            <a class="nav-link" href="/test">
                                <div class="sb-nav-link-icon"><i class="fas fa-user"></i></div>
                                Profile
                            </a>
                            <a class="nav-link" @click.native="logout" href="#">
                                <div class="sb-nav-link-icon"><i class="fas fa-sign-out"></i></div>
                                Logout
                            </a>
                            
                            
                </div>
          </div>
    </nav>
  </div>
  <div id="layoutSidenav_content">
    <main>
      <div class="container-fluid px-4">
        <slot />
      </div>
    </main>


    <footer class="py-4 bg-light mt-auto">
      <div class="container-fluid px-4">
          <div class="d-flex align-items-center justify-content-between small">
              <div class="text-muted">Copyright &copy; GHISLAIN - GUY</div>
              <div>
                  <a href="#">SSD Project</a>
                  &middot;
                  <a href="#">MSEC &amp; CYBER</a>
              </div>
          </div>
      </div>
      
  </footer>
  </div>
</div>


        
</template>

<script>
// import { HTTP } from "../api/api.js"
// import  util  from "../api/util.js"
export default{
  
  methods:{
    logout: function () {
				var _this = this;
					sessionStorage.removeItem('token');
					sessionStorage.removeItem('user');
					_this.$router.push('/login');

			},
      getCurrentUSer: function(){
      let infos;
      infos = JSON.parse(sessionStorage.getItem('token')).user.name + " - " + JSON.parse(sessionStorage.getItem('token')).user.email;
      console.log(infos);
      return infos;
    }

  },
  mounted(){
    this.getCurrentUSer()
  }
 
}
</script>

<style>


</style>

